Bug 69812 - $HOME/.bash_profile evaluated twice
$HOME/.bash_profile evaluated twice
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-session (Show other bugs)
1.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-07-25 12:59 EDT by ellson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-27 16:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ellson 2002-07-25 12:59:17 EDT
Description of Problem:
$HOME/.bash_profile is getting evaluated twice per login to a gnome session.
This is breaking attempts to run programs, such as ssh-agent, exactly once per
login session.

Version-Release number of selected component (if applicable):
gnome-session-2.0.1-2
rawhide-release-20020724-1

How Reproducible:
100%

Steps to Reproduce:
1. In $HOME/.bash_profile  add  "export PATH=$HOME/bin:$PATH
2. logout, login
3. env | grep PATH

Actual Results:
.bash_profile evaluated twice

Expected Results:
.bash_profile evaluated once per login session

Additional Information:
Comment 1 Havoc Pennington 2002-07-25 14:27:10 EDT
This is a duplicate bug, I think the other one should be against gdm or xinitrc.
Comment 2 Havoc Pennington 2002-08-27 16:14:13 EDT
should be fixed in gdm 2.4.0.7-6
Comment 3 Jay Turner 2002-09-03 16:52:11 EDT
Fix confirmed with gdm-2.4.0.7-10.

Note You need to log in before you can comment on or make changes to this bug.